## org.apache.mahout.fpm.pfpgrowth.convertors
Class ContextStatusUpdater<IK extends org.apache.hadoop.io.Writable,IV extends org.apache.hadoop.io.Writable,K extends org.apache.hadoop.io.Writable,V extends org.apache.hadoop.io.Writable>

    java.lang.Object
      org.apache.mahout.fpm.pfpgrowth.convertors.ContextStatusUpdater<IK,IV,K,V>

Type Parameters:
  `IK` -
  `IV` -
  `K` -
  `V` -

All Implemented Interfaces:
  StatusUpdater

    public class ContextStatusUpdater<IK extends org.apache.hadoop.io.Writable,IV extends org.apache.hadoop.io.Writable,K extends org.apache.hadoop.io.Writable,V extends org.apache.hadoop.io.Writable>

extends Object
implements StatusUpdater

Updates the Context object of a `Reducer` class

Constructor Summary
`ContextStatusUpdater(org.apache.hadoop.mapreduce.Reducer.Context context)`

Method Summary
`void` `update(String status)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextStatusUpdater

    public ContextStatusUpdater(org.apache.hadoop.mapreduce.Reducer.Context context)

Method Detail

### update

    public void update(String status)

  Specified by:
    `update` in interface `StatusUpdater`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.